SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001030SiT!otherpublic2010-01-07 20:492010-03-27 12:30
Reporterdonchucho 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0001030: Can't set language in portal
DescriptionThe contact interface is always displayed in the default language, never takes the selected language.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002253)
ivan (administrator)
2010-01-08 10:17

I can confirm this is an issue, thanks for the report.
User avatar (0002285)
Tomse (developer)
2010-01-15 10:41

The portal is at the moment only set by the system language.

So if you are not internationalized, you can just set the system language (this will be the language for all users who use the portal)

this might help you right now until a fix has been made :-)
User avatar (0002605)
paulh (administrator)
2010-03-05 19:56

I'm presuming for this we're only aiming to go of the language set on the login page? If we where to allow contacts to set there preference then it would mean adding a field to the DB which we probably don't want to do for 3.6?
User avatar (0002606)
ivan (administrator)
2010-03-05 21:05

For 3.60 just the login language, not remembered. For 4.x we can improve on this.
User avatar (0002614)
ivan (administrator)
2010-03-06 17:38

Fix commited to svn as r6202

http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=rev&revision=6202 [^]

Also ported to Git b4616d9

- Issue History
Date Modified Username Field Change
2010-01-07 20:49 donchucho New Issue
2010-01-08 10:17 ivan Note Added: 0002253
2010-01-08 10:17 ivan Status new => confirmed
2010-01-08 10:17 ivan Summary LANGUAGE IN CONTACT INTERFACE => Can't set language in portal
2010-01-15 10:41 Tomse Note Added: 0002285
2010-03-02 11:51 ivan Target Version => 3.60 LTS
2010-03-05 19:56 paulh Note Added: 0002605
2010-03-05 21:05 ivan Note Added: 0002606
2010-03-06 15:39 ivan Status confirmed => assigned
2010-03-06 15:39 ivan Assigned To => ivan
2010-03-06 17:38 ivan Note Added: 0002614
2010-03-06 17:38 ivan Status assigned => resolved
2010-03-06 17:38 ivan Fixed in Version => Current SVN
2010-03-06 17:38 ivan Resolution open => fixed
2010-03-27 11:16 ivan Fixed in Version Current SVN => 3.60 LTS
2010-03-27 12:30 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker